sr = 22050
kr = 2205
ksmps = 10
nchnls = 1

; global volume
givol = 0.25


;--------------------------------------------
; JazzOrgan     instrument for miditrack 1
;--------------------------------------------

	instr 1

; AIF sample instrument of track 1 needs the two parameters p_pitch and p_amplitude
; not specified in projectfile but set automatically by MIDI2CS

imidi   = (int(p4)-1)*12+frac(p4)*100

ifno	table	imidi, 100	;map notnum to ftables
ibasno	table	imidi, 99	;map notnum to ftable basenot

ibasoct	= ibasno/12.+1.
icps	= cpspch(p4)
iamp	= givol*(p5)

kamp	linen	iamp*2.00, -1, p3, .02

a1	loscil	kamp, icps, ifno, cpsoct(ibasoct)

	aright	= a1
	out	aright

	endin


;--------------------------------------------
; Sequenz2     instrument for miditrack 2
;--------------------------------------------

	instr 2

; AIF sample instrument of track 2 needs the two parameters p_pitch and p_amplitude
; not specified in projectfile but set automatically by MIDI2CS

imidi   = (int(p4)-1)*12+frac(p4)*100

ifno	table	imidi, 97	;map notnum to ftables
ibasno	table	imidi, 96	;map notnum to ftable basenot

ibasoct	= ibasno/12.+1.
icps	= cpspch(p4)
iamp	= givol*(p5)

kamp	linen	iamp*0.80, -1, p3, .02

a1	loscil	kamp, icps, ifno, cpsoct(ibasoct)

	aright	= a1
	out	aright

	endin


;--------------------------------------------
; Sequenz1     instrument for miditrack 3
;--------------------------------------------

	instr 3

; AIF sample instrument of track 3 needs the two parameters p_pitch and p_amplitude
; not specified in projectfile but set automatically by MIDI2CS

imidi   = (int(p4)-1)*12+frac(p4)*100

ifno	table	imidi, 94	;map notnum to ftables
ibasno	table	imidi, 93	;map notnum to ftable basenot

ibasoct	= ibasno/12.+1.
icps	= cpspch(p4)
iamp	= givol*(p5)

kamp	linen	iamp*0.30, -1, p3, .02

a1	loscil	kamp, icps, ifno, cpsoct(ibasoct)

	aright	= a1
	out	aright

	endin


;--------------------------------------------
; Klingel     instrument for miditrack 4
;--------------------------------------------

	instr 4

; AIF sample instrument of track 4 needs the two parameters p_pitch and p_amplitude
; not specified in projectfile but set automatically by MIDI2CS

imidi   = (int(p4)-1)*12+frac(p4)*100

ifno	table	imidi, 91	;map notnum to ftables
ibasno	table	imidi, 90	;map notnum to ftable basenot

ibasoct	= ibasno/12.+1.
icps	= cpspch(p4)
iamp	= givol*(p5)

kamp	linen	iamp*0.70, -1, p3, .02

a1	loscil	kamp, icps, ifno, cpsoct(ibasoct)

	aright	= a1
	out	aright

	endin


;--------------------------------------------
; AcouBass     instrument for miditrack 5
;--------------------------------------------

	instr 5

; AIF sample instrument of track 5 needs the two parameters p_pitch and p_amplitude
; not specified in projectfile but set automatically by MIDI2CS

imidi   = (int(p4)-1)*12+frac(p4)*100

ifno	table	imidi, 88	;map notnum to ftables
ibasno	table	imidi, 87	;map notnum to ftable basenot

ibasoct	= ibasno/12.+1.
icps	= cpspch(p4)
iamp	= givol*(p5)

kamp	linen	iamp*2.00, -1, p3, .02

a1	loscil	kamp, icps, ifno, cpsoct(ibasoct)

	aright	= a1
	out	aright

	endin


;--------------------------------------------
; Bassdrum     instrument for miditrack 6
;--------------------------------------------

	instr 6

; WAV sample instrument of track 6 needs parameter amplitude
; not specified but set automatically by MIDI2CS

iamp	= givol*(p4/32767)

kgate	expseg	iamp*3.00,p3*.8,iamp*3.00,p3*.2,.001

a1	soundin	"22050/bd1_s48k.wav", 0, 0

	aright	= a1*kgate
	out	aright

	endin


;--------------------------------------------
; Snare     instrument for miditrack 7
;--------------------------------------------

	instr 7

; WAV sample instrument of track 7 needs parameter amplitude
; not specified but set automatically by MIDI2CS

iamp	= givol*(p4/32767)

kgate	expseg	iamp*3.00,p3*.8,iamp*3.00,p3*.2,.001

a1	soundin	"22050/sn1_s48k.wav", 0, 0

	aright	= a1*kgate
	out	aright

	endin


;--------------------------------------------
; Cabasa     instrument for miditrack 8
;--------------------------------------------

	instr 8

; WAV sample instrument of track 8 needs parameter amplitude
; not specified but set automatically by MIDI2CS

iamp	= givol*(p4/32767)

kgate	expseg	iamp*1.50,p3*.8,iamp*1.50,p3*.2,.001

a1	soundin	"22050/r8cab1b.wav", 0, 0

	aright	= a1*kgate
	out	aright

	endin


;--------------------------------------------
; Perc     instrument for miditrack 9
;--------------------------------------------

	instr 9

; WAV sample instrument of track 9 needs parameter amplitude
; not specified but set automatically by MIDI2CS

iamp	= givol*(p4/32767)

kgate	expseg	iamp*0.90,p3*.8,iamp*0.90,p3*.2,.001

a1	soundin	"22050/tabla.wav", 0, 0

	aright	= a1*kgate
	out	aright

	endin


;--------------------------------------------
;      instrument for miditrack 10
;--------------------------------------------

	instr 10

; sinewave instruments need two parameters
; a) p4 - cycles per second
; b) p5 - amplitude
; not specified but set automatically by MIDI2CS

idur	= p3
icps	= p4
iamp	= p5

amp	linen iamp, -1, idur, .02
asig	oscil	amp, icps, 85
a1	= asig * givol

	out a1

	endin


;--------------------------------------------
;      instrument for miditrack 11
;--------------------------------------------

	instr 11

; sinewave instruments need two parameters
; a) p4 - cycles per second
; b) p5 - amplitude
; not specified but set automatically by MIDI2CS

idur	= p3
icps	= p4
iamp	= p5

amp	linen iamp, -1, idur, .02
asig	oscil	amp, icps, 84
a1	= asig * givol

	out a1

	endin


;--------------------------------------------
;      instrument for miditrack 12
;--------------------------------------------

	instr 12

; sinewave instruments need two parameters
; a) p4 - cycles per second
; b) p5 - amplitude
; not specified but set automatically by MIDI2CS

idur	= p3
icps	= p4
iamp	= p5

amp	linen iamp, -1, idur, .02
asig	oscil	amp, icps, 83
a1	= asig * givol

	out a1

	endin


;--------------------------------------------
;      instrument for miditrack 13
;--------------------------------------------

	instr 13

; sinewave instruments need two parameters
; a) p4 - cycles per second
; b) p5 - amplitude
; not specified but set automatically by MIDI2CS

idur	= p3
icps	= p4
iamp	= p5

amp	linen iamp, -1, idur, .02
asig	oscil	amp, icps, 82
a1	= asig * givol

	out a1

	endin


;--------------------------------------------
;      instrument for miditrack 14
;--------------------------------------------

	instr 14

; sinewave instruments need two parameters
; a) p4 - cycles per second
; b) p5 - amplitude
; not specified but set automatically by MIDI2CS

idur	= p3
icps	= p4
iamp	= p5

amp	linen iamp, -1, idur, .02
asig	oscil	amp, icps, 81
a1	= asig * givol

	out a1

	endin


;--------------------------------------------
;      instrument for miditrack 15
;--------------------------------------------

	instr 15

; sinewave instruments need two parameters
; a) p4 - cycles per second
; b) p5 - amplitude
; not specified but set automatically by MIDI2CS

idur	= p3
icps	= p4
iamp	= p5

amp	linen iamp, -1, idur, .02
asig	oscil	amp, icps, 80
a1	= asig * givol

	out a1

	endin


;--------------------------------------------
;      instrument for miditrack 16
;--------------------------------------------

	instr 16

; sinewave instruments need two parameters
; a) p4 - cycles per second
; b) p5 - amplitude
; not specified but set automatically by MIDI2CS

idur	= p3
icps	= p4
iamp	= p5

amp	linen iamp, -1, idur, .02
asig	oscil	amp, icps, 79
a1	= asig * givol

	out a1

	endin

